[android-components](../index.md) / [mozilla.components.support.ktx.android.content](index.md) / [hasCamera](./has-camera.md)

# hasCamera

`fun <ERROR CLASS>.hasCamera(): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/ktx/src/main/java/mozilla/components/support/ktx/android/content/Context.kt#L64)

Checks whether or not the device has a camera.

**Return**
true if a camera was found, otherwise false.

